# 1 "<stdin>"
# 1 "<built-in>"
# 1 "<command line>"
# 1 "<stdin>"
	module avo_mod
	use cgstep_mod
	use adj_mod
	use solver_reg_mod
	use avomodel

	implicit none

	contains
	subroutine avo1(n2,o2,d2,m,tripa,niter,eps,)
	real, intent (in)				:: o2, d2, eps
	real, dimension(:), intent(in)	:: tripa
	real, dimension(:), intent(out)	:: m
	integer, intent(in)			:: n2, niter
	!!
	!! Obtains A, B, C
	!!
	call solver_reg(m=m, d=tripa, &
	    Fop=avomodel_lop,Aop=laplac2,stepper=cgstep,nAop=m1*m2,niter=niter,eps=eps,&
	    verb=.false.)
	end module
